REM BATCH for SDCC 8051 C compiler
REM this batch is project dependant
CLS
@ECHO OFF
ECHO COMPILE BATCH FOR SDCC COMPILER
ECHO CALL: c filename option
ECHO OPTION: r release (default)      d debug      s show memory summary
ECHO COMPILE sourcefile: %1.c

if "%2"=="d" goto rund
if "%2"=="D" goto rund
if "%2"=="r" goto runr
if "%2"=="R" goto runr
if "%2"=="s" goto runs
if "%2"=="S" goto runs
goto runr

:rund
ECHO OPTION: debug
sdcc %1.c --debug
goto jump

:runr
ECHO OPTION: release
sdcc %1.c
goto jump

:runs
ECHO OPTION: release, show summary of the memory usage
sdcc %1.c 
notepad %1.mem
goto jump

:jump
if errorlevel 1 goto CErr
ECHO CONVERT hexfile %1.ihx to file %1.bin for PROM programming 
d:\programme\tools\intelhex %1.ihx %1.bin
if errorlevel 1 goto CErr
ECHO COPY file %1.BIN
copy %1.bin D:\SengData\Projekte\017\ProgramsPC\dlk51\DLL
copy %1.bin D:\Programme\SENG\dlk51\
goto end

:CErr
ECHO ---------------------------------------
ECHO ERRORS found, batch file terminated !!!
ECHO ---------------------------------------

:end
